### Method

# FwupdPlugin Context set_chassis_kind

since: 1.8.10

#### Declaration [src]

    void
    fu_context_set_chassis_kind (
      FuContext* self,
      FuSmbiosChassisKind chassis_kind
    )

#### Description [src]

Sets the chassis kind.

Available since: 1.8.10

#### Parameters

`chassis_kind`

  Type: `FuSmbiosChassisKind`

  A `FuSmbiosChassisKind`, e.g. `FU_SMBIOS_CHASSIS_KIND_TABLET`.